import java.io.*;
import java.awt.*;

class ListaDeFiguras implements Serializable
{
  private Figura vet[];
  private int tmax;
  private int total;
    	
  public ListaDeFiguras(int t)
  {
    tmax = t;
    total = 0;
    vet = new Figura[t];
  }

  public void insere(Figura f)
  {
    if (total == tmax) return;
    vet[total] = f;
    total++;
  }

  public Figura procura(int x, int y)
  {
	for(int i=0; i<total; i++)
	{
		if(x>=vet[i].x && x<=vet[i].x+vet[i].getSize()
			&& y>=vet[i].y && y<=vet[i].y+vet[i].getSize())
			return vet[i];
    }
	return null;
  }
    	
  public void desenha(Graphics g)
  {
    for(int i=0; i<total; i++)
      vet[i].desenha(g);
  }
}