import java.io.*;
import java.awt.*;

class Quadrado extends Figura implements Serializable
{
  protected int lado;

  public Quadrado(int x, int y, int lado)
  {
    super(x,y);
    this.lado = lado;
  }
  
  public int getSize()
  {
	return lado;
  }

  public void desenha(Graphics g)
  {
    g.drawRect(x,y,lado,lado);
  }
}