/**
 * Class TrataMouse - write a description of the class here
 * 
 * @author: 
 * date: 
 */

import java.awt.event.*;

public class TrataMouse extends MouseAdapter implements MouseMotionListener
{
	Tela tela;
	Figura sel;
	int op;

    /**
     * Constructor for objects of class TrataMouse
     */
    public TrataMouse(Tela tela)
    {
		this.tela = tela;
		op = 0;
		sel = null;
    }

	public void setOption(int op)
	{
		this.op = op;
	}

	public void mousePressed(MouseEvent e)
	{
		Figura fig;
		switch(op)
		{
			case 0: // selecionar e arrastar
					sel = tela.lista.procura(e.getX(),e.getY());
					break;
			case 1: // criar um quadrado
					fig = (Quadrado) new Quadrado(e.getX(),e.getY(),20);
					tela.lista.insere(fig);
					break;
			case 2: // criar um crculo
					fig = (Circulo) new Circulo(e.getX(),e.getY(),20);
					tela.lista.insere(fig);
					break;
		}
		tela.repaint();
	}

	public void mouseMoved(MouseEvent e) {}

	public void mouseDragged(MouseEvent e)
	{
		if(sel==null) return;
		sel.x = e.getX();
		sel.y = e.getY();
		tela.repaint();
	}

	public void mouseReleased(MouseEvent e)
	{
		op = 0;
		sel = null;
	}

}
